Set the activation date for a license to the current timestamp
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/license/activate" \ -H "Content-Type: application/json" \ -d '{ "key": "string" }'{ "success": true, "license": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "gridKw": null, "solarKw": null, "batteryKw": null, "evKw": null, "creationDate": "2019-08-24T14:15:22Z", "activationDate": null, "duration": 0, "deactivationDate": null, "type": "residential" }}Collect telemetry data POST
Execute up to 1000 telemetry queries. A leaky bucket rate limiting mechanism is applied based on the calculated cost of each request. The cost is a linear combination of the number of requests, the number of queries per request, the estimated number of returned datapoints and the number of scanned shards. To minimize cost: - **Requests**: Send multiple queries in a single request (up to 1000). Make sure the total cost does not exceed your tier's bucket capacity. - **Queries per request**: Use a single query to select multiple fields instead of one query per field. - **Returned datapoints**: The estimate is based on the selected time range, the expected datapoint frequency and the provided `limit`. When no range is provided, a worst-case range is assumed. Always specify a time range and set `limit` as low as possible. - **Scanned shards**: Depends on the time range and expected datapoint frequency, but is unaffected by `limit`. A tight time range minimizes this component as well. If a request's cost would overflow the bucket, a `429` response is returned with a `Retry-After` header indicating how long to wait. If the cost exceeds the bucket's total capacity entirely, a `422` is returned. Ignoring `Retry-After` headers will result in a temporary 5-minute IP ban. Helper scripts for estimating request cost are available at [/assets/estimateCost.ts](/assets/estimateCost.ts) (TypeScript) and [/assets/estimateCost.py](/assets/estimateCost.py) (Python).
Claim a license for a controller POST
Link a license to a controller by creating an entry in license_datalink
The license key to activate
1 <= length <= 50Optional activation timestamp (ISO 8601 string)
date-time